<?
session_start();
require("../conectar.php");
require("funciones.php");
$fi=$_GET['fechaini'];
$ff=$_GET['fechafin'];
?>
<html>
<head><title></title>
		<link rel="stylesheet" type="text/css" href="css/style3.css" />
		<link rel="stylesheet" href="css/bootstrap.min.css"/>
		<link rel="stylesheet" href="css/jquery.jOrgChart.css"/>
		<link rel="stylesheet" type="text/css" href="css/estiloorg.css" />
		<link rel="stylesheet" href="css/customimp.css"/>
		<link href="css/prettify.css" type="text/css" rel="stylesheet" />
	<script type="text/javascript" src="js/prettify.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.6.4/jquery.min.js"></script>
    <script src="js/jquery.jOrgChart.js"></script>	
	<script>
    jQuery(document).ready(function() {
        $("#org").jOrgChart({
			chartElement : '#chart'
		});

		/* Extra Code */
		$("#show-list").click(function(e){
			e.preventDefault();

			$('#list-html').toggle('fast', function(){
				if($(this).is(':visible')){
					$('#show-list').text('Hide underlying list.');
					$(".topbar").fadeTo('fast',0.9);
				}else{
					$('#show-list').text('Show underlying list.');
					$(".topbar").fadeTo('fast',1);					
				}
			});
		});
		
		
	});
	</script>
</head>
<body>
<font size="6" color="#000"><center>ESTRUCTURA</center></font><br>
<center>
<ul id="org" style="display:none;">
    <li>
	  <?
	  //direccion
	  $sqldir="select CONCAT(e.a_pat,' ',e.nombre) AS nomdir,e.puesto,p.id_puesto,p.puesto as p, e.foto
	             FROM empleados e
				 INNER JOIN puestos p
				 ON e.puesto=p.id_puesto
				 WHERE e.puesto='1' and e.fechabaja='0000-00-00' and e.id_empleado IN('11','53')";
	  $ejedir=mysql_query($sqldir);
      while($dir=mysql_fetch_array($ejedir)){
	  if($dir['p']=="DIRECTOR GENERAL"){$p="DIRECTOR GENERAL";}
      echo htmlentities($dir['nomdir'])."<br>".htmlentities($p)."<br><br>";
  }	  
	?>
       <ul>    
	  <?
	  //administracion
	  $sqladm="select CONCAT(e.a_pat,' ',e.nombre) AS nomadm,e.puesto,e.id_empleado,p.id_puesto,p.puesto as p, e.foto
	             FROM empleados e
				 INNER JOIN puestos p
				 ON e.puesto=p.id_puesto
				 WHERE e.puesto='2' and e.fechabaja='0000-00-00'"; //and e.id_empleado='11'";
	  $ejeadm=mysql_query($sqladm);
      while($adm=mysql_fetch_array($ejeadm)){?>
	 <li>
	  <?if($adm["foto"]=="../../turisiscom/administrador/disenio_empleados/fotos/")$adm["foto"]="http://mexicoenrenta.com.mx/turisiscom/administrador/disenio_empleados/fotos/cara.jpg";
	   echo '<div style="position:relative;">'.htmlentities($adm['nomadm'])." ".htmlentities($adm['p']).'<div style="position:absolute; left:20px; top:30; z-index:2;"><img width="45" height="45" src="'.$adm["foto"].'"></div></div>';
      //gerentes
	  $sqlstaff="select CONCAT(e.a_pat,' ',e.nombre) AS nomstaff,e.puesto,e.id_empleado,p.id_puesto,p.puesto as p, e.foto
	             FROM empleados e
				 INNER JOIN puestos p
				 ON e.puesto=p.id_puesto
				 WHERE e.puesto IN('3','4','6','10','13','14') and e.fechabaja='0000-00-00' and e.gerente='$adm[id_empleado]' OR  (e.gerente='$adm[id_empleado]' and e.id_empleado='95' )";
	  $ejestaff=mysql_query($sqlstaff);?>
	  
	  <ul>
	  
	  <?
	  //coordinadores de area  
	  while($staff=mysql_fetch_array($ejestaff)){
	  ?>	  
	    <li>	    
		   <?if($staff["foto"]=="../../turisiscom/administrador/disenio_empleados/fotos/")$staff["foto"]="http://mexicoenrenta.com.mx/turisiscom/administrador/disenio_empleados/fotos/cara.jpg";
		   echo '<div style="position:relative;">'.htmlentities($staff['nomstaff'])." ".htmlentities($staff['p']).'<div style="position:absolute; left:20px;; top:30; z-index:2;"><img width="45" height="45" src="'.$staff["foto"].'"></div></div>';

	     $sqlejec="select CONCAT(e.a_pat,' ',e.nombre) AS nomeje,e.puesto,e.id_empleado,p.id_puesto,p.puesto as p, e.foto
	             FROM empleados e
				 INNER JOIN puestos p
				 ON e.puesto=p.id_puesto
				 WHERE e.puesto IN('11','4','15','16','17','18','8') and e.fechabaja='0000-00-00' and (e.coordinador='$staff[id_empleado]' OR (e.coordinador='0' AND e.gerente='$staff[id_empleado]')) OR (e.id_empleado='112' AND e.gerente='$staff[id_empleado]' and fechabaja='0000-00-00')";
	  $ejease=mysql_query($sqlejec);
	  //asesores nivel 1?>
	  <ul>
     <? while($asesor=mysql_fetch_array($ejease)){	  
		   ?>
		   <li><?
		   if($asesor["foto"]=="../../turisiscom/administrador/disenio_empleados/fotos/")$asesor["foto"]="http://mexicoenrenta.com.mx/turisiscom/administrador/disenio_empleados/fotos/cara.jpg";
		   	 echo '<div style="position:relative;">'.htmlentities($asesor['nomeje'])." ".htmlentities($asesor['p']).'<div style="position:absolute; left:20px; top:30; z-index:2;"><img width="45" height="45" src="'.$asesor["foto"].'"></div></div>';
		   
	 
	     $sqlejecniv2="select CONCAT(e.a_pat,' ',e.nombre) AS nomeje,e.puesto,e.id_empleado,p.id_puesto,p.puesto as p, e.foto
	             FROM empleados e
				 INNER JOIN puestos p
				 ON e.puesto=p.id_puesto
				 WHERE e.puesto IN('5','7') and e.fechabaja='0000-00-00' and e.coordinador='$asesor[id_empleado]'";
	     $ejeaseniv2=mysql_query($sqlejecniv2); ?>
    		<ul> 
		 <?while($asesorniv2=mysql_fetch_array($ejeaseniv2)){
		    if($asesorniv2['p']=="EJECUTIVO DE ATENCION A CLIENTES"){$p="EAT";}
		 ?>
			<li><?
					if($asesorniv2["foto"]=="../../turisiscom/administrador/disenio_empleados/fotos/")$asesorniv2["foto"]="http://mexicoenrenta.com.mx/turisiscom/administrador/disenio_empleados/fotos/cara.jpg";
					 echo '<div style="position:relative;">'.htmlentities($asesorniv2['nomeje'])."<br> ".htmlentities($p).'<div style="position:absolute; left:20px; top:30; z-index:2;"><img width="45" height="45" src="'.$asesorniv2["foto"].'"></div></div>';
					 ?></li>
		 <?}?>  
		   </ul>
		   </li>
		   <?}?>
		   </ul>
		</li>
	 <?}?>
	 </ul>
   </li>
	 <?
	  }	  
	?>	
       </ul>
     </li>
   </ul>
<div id="chart" class="orgChart"></div> </center>  
 <body>  
 </html>